## GgitBlob GgitBlob |

## Functions

const guchar * | ggit_blob_get_raw_content ()
gboolean | ggit_blob_is_binary ()

## Types and Values

| GgitBlob

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitObject
                    ╰── GgitBlob

## Description

## Functions

### ggit_blob_get_raw_content ()

    const guchar *
    ggit_blob_get_raw_content (GgitBlob *blob,
                               gsize *length);

Gets a read-only buffer with the raw contents of `blob` .

A pointer to the raw contents of `blob` is returned. This pointer is owned internally by `object` and must not be free'd. The pointer may be invalidated at a later time.

#### Parameters

blob | a GgitBlob. |
length | return value of the length of the data. | [out][allow-none]

#### Returns

the blob content or `NULL` if the blob does not have any content.

[array length=length][element-type guchar][nullable]

### ggit_blob_is_binary ()

    gboolean
    ggit_blob_is_binary (GgitBlob *blob);

Check whether the blob is binary.

#### Parameters

blob | a GgitBlob. |

#### Returns

`TRUE` if the blob is binary, `FALSE` otherwise.

## Types and Values

### GgitBlob

    typedef struct _GgitBlob GgitBlob;

Represents a blob object.